### R code from vignette source 'stream.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: stream.Rnw:939-944
###################################################
library("stream") 
set.seed(1000) 

dsd <- DSD_GaussianStatic(k=3, d=2, noise=0.05) 
dsd 


###################################################
### code chunk number 2: stream.Rnw:963-965
###################################################
p <- get_points(dsd, n=5) 
p 


###################################################
### code chunk number 3: stream.Rnw:976-978
###################################################
p <- get_points(dsd, n=100, assignment=TRUE) 
attr(p, "assignment") 


###################################################
### code chunk number 4: static
###################################################
plot(dsd, n=500)


###################################################
### code chunk number 5: moa1
###################################################
set.seed(1000) 
dsd <- DSD_RandomRBFGeneratorEvents(k=3, d=2) 
dsd


###################################################
### code chunk number 6: stream.Rnw:1019-1023 (eval = FALSE)
###################################################
## plot(dsd, 500)
## plot(dsd, 500)
## plot(dsd, 500)
## plot(dsd, 500)


###################################################
### code chunk number 7: moa1
###################################################
plot(dsd, 500) 


###################################################
### code chunk number 8: moa2
###################################################
plot(dsd, 500) 


###################################################
### code chunk number 9: moa3
###################################################
plot(dsd, 500) 


###################################################
### code chunk number 10: moa4
###################################################
plot(dsd, 500) 


###################################################
### code chunk number 11: stream.Rnw:1063-1069 (eval = FALSE)
###################################################
## animate_data(dsd, n=2000, pointInterval=100, xlim=c(0,1), ylim=c(0,1))
## 
## library(animation)
## ani.replay()
## 
## saveHTML(ani.replay())


###################################################
### code chunk number 12: stream.Rnw:1087-1091
###################################################
library("stream") 
set.seed(1000) 
dsd <- DSD_GaussianStatic(k=3, d=5) 
dsd


###################################################
### code chunk number 13: stream.Rnw:1096-1097
###################################################
write_stream(dsd, "data.csv", n=100, sep=",") 


###################################################
### code chunk number 14: stream.Rnw:1121-1125
###################################################
file <- system.file("examples", "kddcup10000.data.gz", package="stream")
dsd_file <- DSD_ReadStream(gzfile(file),take=c(1, 5, 6, 8:11, 13:20, 23:41), 
assignment=42, k=7)
dsd_file


###################################################
### code chunk number 15: stream.Rnw:1131-1132
###################################################
get_points(dsd_file,5)


###################################################
### code chunk number 16: stream.Rnw:1160-1165
###################################################
library("stream") 
set.seed(1000) 
dsd <- DSD_GaussianStatic(k=3, d=2) 
p <- get_points(dsd, 100)
head(p)


###################################################
### code chunk number 17: stream.Rnw:1171-1173
###################################################
replayer <- DSD_Wrapper(p) 
replayer 


###################################################
### code chunk number 18: stream.Rnw:1179-1181
###################################################
get_points(replayer, n=5)
replayer


###################################################
### code chunk number 19: stream.Rnw:1188-1189 (eval = FALSE)
###################################################
## get_points(replayer,n = 1000)


###################################################
### code chunk number 20: stream.Rnw:1199-1201
###################################################
reset_stream(replayer)
replayer


###################################################
### code chunk number 21: stream.Rnw:1210-1214
###################################################
library("stream") 
set.seed(1000) 
dsd <- DSD_GaussianStatic(k=3, d=2, noise=0.05)
dsd


###################################################
### code chunk number 22: stream.Rnw:1221-1223
###################################################
birch <- DSC_BIRCH(radius=0.01) 
birch


###################################################
### code chunk number 23: stream.Rnw:1231-1233
###################################################
cluster(birch, dsd, 500) 
birch


###################################################
### code chunk number 24: stream.Rnw:1239-1240
###################################################
head(get_centers(birch))


###################################################
### code chunk number 25: cluster
###################################################
plot(birch, dsd)


###################################################
### code chunk number 26: stream.Rnw:1268-1269
###################################################
evaluate(birch, dsd, n = 500)


###################################################
### code chunk number 27: stream.Rnw:1279-1280
###################################################
evaluate(birch, dsd, method = c("purity", "crand"), n = 500)


###################################################
### code chunk number 28: stream.Rnw:1294-1298
###################################################
set.seed(1000)
dsd <- DSD_RandomRBFGeneratorEvents(k=3, d=2)
micro <- DSC_CluStream(k=30)
evaluate_cluster(micro, dsd, method=c("purity","crand"), n=500, horizon= 100)


###################################################
### code chunk number 29: stream.Rnw:1303-1308 (eval = FALSE)
###################################################
## animate_cluster(micro, dsd, evaluationMethod="crand", n=2000, horizon=100, 
##   xlim=c(0,1), ylim=c(0,1))
## library(animation)
## ani.replay()
## saveHTML(ani.replay())


###################################################
### code chunk number 30: stream.Rnw:1317-1323
###################################################
library("stream")
set.seed(1000) 
dsd <- DSD_GaussianStatic(k=3, d=2, noise=0.05)
clustream <- DSC_CluStream(k=30)

cluster(clustream, dsd, 1000)


###################################################
### code chunk number 31: stream.Rnw:1332-1335
###################################################
km <- DSC_Kmeans(k=3, weighted=TRUE)
recluster(km, clustream)
km


###################################################
### code chunk number 32: recluster
###################################################
plot(km, dsd) 


###################################################
### code chunk number 33: stream.Rnw:1357-1358
###################################################
evaluate(km, dsd, method=c("purity", "crand"), n=500)


###################################################
### code chunk number 34: stream.Rnw:1363-1364
###################################################
evaluate(km, dsd, c(method="purity", "crand"), n=500, assign="macro")


###################################################
### code chunk number 35: stream.Rnw:1380-1385
###################################################
library("stream") 
set.seed(1000) 
d <- get_points(DSD_GaussianStatic(k=3, d=2, noise=0.01), n=1000,
assignment=TRUE) 
head(d)


###################################################
### code chunk number 36: stream.Rnw:1388-1390
###################################################
dsd <- DSD_Wrapper(d, k=3) 
dsd


###################################################
### code chunk number 37: stream.Rnw:1398-1401
###################################################
denstream <- DSC_DenStream(epsilon=0.1) 
clustream <- DSC_CluStream(k=100) 
dstream <- DSC_DStream(gridsize=0.05)


###################################################
### code chunk number 38: stream.Rnw:1404-1409
###################################################
cluster(denstream, dsd, 1000) 
reset_stream(dsd) 
cluster(clustream, dsd, 1000)
reset_stream(dsd) 
cluster(dstream, dsd, 1000)


###################################################
### code chunk number 39: stream.Rnw:1412-1415
###################################################
denstream
clustream
dstream


###################################################
### code chunk number 40: denstream
###################################################
reset_stream(dsd) 
plot(denstream, dsd) 


###################################################
### code chunk number 41: clustream
###################################################
reset_stream(dsd) 
plot(clustream, dsd) 


###################################################
### code chunk number 42: dstream
###################################################
reset_stream(dsd) 
plot(dstream, dsd) 


###################################################
### code chunk number 43: dstream2
###################################################
plot(dstream, image=TRUE)


###################################################
### code chunk number 44: stream.Rnw:1479-1487
###################################################
denstream_dbscan <- DSC_DBSCAN(eps=0.1, weighted=TRUE)
recluster(denstream_dbscan, denstream)

clustream_kmeans <- DSC_Kmeans(k=3, weighted=TRUE)
recluster(clustream_kmeans, clustream)

dstream_grids <- DSC_Hierarchical(h=.05+1e-3, method="single")
recluster(dstream_grids, dstream)


###################################################
### code chunk number 45: denstream_dbscan
###################################################
reset_stream(dsd) 
plot(denstream_dbscan, dsd) 


###################################################
### code chunk number 46: clustream_kmeans
###################################################
reset_stream(dsd) 
plot(clustream_kmeans, dsd) 


###################################################
### code chunk number 47: dstream_grids
###################################################
reset_stream(dsd) 
plot(dstream_grids, dsd) 


###################################################
### code chunk number 48: stream.Rnw:1529-1536
###################################################
sapply(list(DenStream=denstream_dbscan, 
  CluStream=clustream_kmeans, 
  DStream=dstream_grids), 
FUN=function(x){
    reset_stream(dsd)
    evaluate(x, dsd, c("purity","rand", "crand"))
})


